import * as styled_components from 'styled-components';

declare const DsBox: styled_components.StyledComponent<"div", any, {}, never>;

declare type DsButtonProps = {
    size: 'small' | 'medium' | 'large';
    variant: 'primary' | 'secondary' | 'chevron' | 'icon';
};
declare const DsButton: styled_components.StyledComponent<"button", any, DsButtonProps, never>;

interface DsTagProps {
    type: 'primary' | 'secondary' | 'error' | 'success' | 'alert';
    variant: 'solid' | 'outline';
}
declare const DsTag: styled_components.StyledComponent<"div", any, DsTagProps, never>;

declare function changeTheme(tokens: any): void;

export { DsBox, DsButton, DsButtonProps, DsTag, DsTagProps, changeTheme };
